6.0.0-git
2019-03-18

[#8074] X-SYNCJE-SPOUSE, ANNIVERSARY, CHILD names are product-specific
Summary X-SYNCJE-SPOUSE, ANNIVERSARY, CHILD names are product-specific
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester spm (at) boiteauxlettres (dot) sent (dot) at
Created 2009-03-11 (3659 days ago)
Due
Updated 2009-10-01 (3455 days ago)
Assigned 2009-03-14 (3656 days ago)
Resolved 2009-03-14 (3656 days ago)
Milestone 2.3.3
Patch No

History
2009-10-01 10:37:19 Jan Schneider Comment #6
Assigned to Jan Schneider
Milestone ⇒ 2.3.3
Reply to this comment
Partially merged to the stable branch.
2009-10-01 10:34:07 CVS Commit Comment #5 Reply to this comment
Changes have been made in CVS for this ticket:

Support both, the more portable X- properties and the BC X-SYNCJE properties
(Bug #8074).
http://cvs.horde.org/diff.php/framework/iCalendar/iCalendar.php?rt=horde&r1=1.57.4.77&r2=1.57.4.78&ty=u
2009-10-01 10:31:07 CVS Commit Comment #4 Reply to this comment
Changes have been made in CVS for this ticket:

Support both, the more portable X- properties and the BC X-SYNCJE properties
(Bug #8074).
http://cvs.horde.org/diff.php/turba/lib/Driver.php?rt=horde&r1=1.57.2.88&r2=1.57.2.89&ty=u
2009-03-14 16:49:36 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
Added to HEAD, because it is a BC break.
2009-03-14 16:49:05 Jan Schneider Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 1. Low
 
2009-03-11 20:28:10 spm (at) boiteauxlettres (dot) sent (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ X-SYNCJE-SPOUSE, ANNIVERSARY, CHILD names are product-specific
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: horde_spouse_child.patch Download
Reply to this comment
The vCard code internally uses 'X-SYNCJE-ANNIVERSARY',

'X-SYNCJE-SPOUSE', and 'X-SYNCJE-CHILD' vCard property names.  These are

product-specific, and there are different variations on

these like X-EVOLUTION-SPOUSE, X-EVOLUTION-ANNIVERSARY,

X-FUNAMBOL-SPOUSE.



The wikipedia vCard page mentions the more neutral X-ANNIVERSARY and

X-SPOUSE property names, and I noticed that my Nokia E51 uses them, as

well as X-ASSISTANT and X-ASSISTANT-TEL.



Wouldn't it be better for horde to internally use these generic names,

instead of product-specific ones? Driver code could do conversion if

necessary for specific devices.



After making some minor changes (see attached patch), my Nokia

syncs Spouse and Children

correctly. I don't think these changes will break the Sync4j

synchronization, since the use of X-SYNCJE-* appears to be

horde-internal, but exported vCards will be more "neutral", which is

probably good in the long run.



David Hoover.


Saved Queries